Package org.apache.avro.idl

# Class IdlBaseListener

java.lang.Object
org.apache.avro.idl.IdlBaseListener

All Implemented Interfaces:
  `org.antlr.v4.runtime.tree.ParseTreeListener`, `IdlListener`

public class IdlBaseListener extends Object implements IdlListener
This class provides an empty implementation of `IdlListener`, which can be extended to create a listener which only needs to handle a subset of the available methods.

## Constructor Summary

Constructors
Constructor
Description
`IdlBaseListener()`

## Method Summary

Modifier and Type
Method
Description
`void`
`enterArrayType(IdlParser.ArrayTypeContext ctx)`
Enter a parse tree produced by `IdlParser.arrayType()`.
`void`
`enterEnumDeclaration(IdlParser.EnumDeclarationContext ctx)`
Enter a parse tree produced by `IdlParser.enumDeclaration()`.
`void`
`enterEnumDefault(IdlParser.EnumDefaultContext ctx)`
Enter a parse tree produced by `IdlParser.enumDefault()`.
`void`
`enterEnumSymbol(IdlParser.EnumSymbolContext ctx)`
Enter a parse tree produced by `IdlParser.enumSymbol()`.
`void`
`enterEveryRule(org.antlr.v4.runtime.ParserRuleContext ctx)`
`void`
`enterFieldDeclaration(IdlParser.FieldDeclarationContext ctx)`
Enter a parse tree produced by `IdlParser.fieldDeclaration()`.
`void`
`enterFixedDeclaration(IdlParser.FixedDeclarationContext ctx)`
Enter a parse tree produced by `IdlParser.fixedDeclaration()`.
`void`
`enterFormalParameter(IdlParser.FormalParameterContext ctx)`
Enter a parse tree produced by `IdlParser.formalParameter()`.
`void`
`enterFullType(IdlParser.FullTypeContext ctx)`
Enter a parse tree produced by `IdlParser.fullType()`.
`void`
`enterIdentifier(IdlParser.IdentifierContext ctx)`
Enter a parse tree produced by `IdlParser.identifier()`.
`void`
`enterIdlFile(IdlParser.IdlFileContext ctx)`
Enter a parse tree produced by `IdlParser.idlFile()`.
`void`
`enterImportStatement(IdlParser.ImportStatementContext ctx)`
Enter a parse tree produced by `IdlParser.importStatement()`.
`void`
`enterJsonArray(IdlParser.JsonArrayContext ctx)`
Enter a parse tree produced by `IdlParser.jsonArray()`.
`void`
`enterJsonLiteral(IdlParser.JsonLiteralContext ctx)`
Enter a parse tree produced by `IdlParser.jsonLiteral()`.
`void`
`enterJsonObject(IdlParser.JsonObjectContext ctx)`
Enter a parse tree produced by `IdlParser.jsonObject()`.
`void`
`enterJsonPair(IdlParser.JsonPairContext ctx)`
Enter a parse tree produced by `IdlParser.jsonPair()`.
`void`
`enterJsonValue(IdlParser.JsonValueContext ctx)`
Enter a parse tree produced by `IdlParser.jsonValue()`.
`void`
`enterMainSchemaDeclaration(IdlParser.MainSchemaDeclarationContext ctx)`
Enter a parse tree produced by `IdlParser.mainSchemaDeclaration()`.
`void`
`enterMapType(IdlParser.MapTypeContext ctx)`
Enter a parse tree produced by `IdlParser.mapType()`.
`void`
`enterMessageDeclaration(IdlParser.MessageDeclarationContext ctx)`
Enter a parse tree produced by `IdlParser.messageDeclaration()`.
`void`
`enterNamedSchemaDeclaration(IdlParser.NamedSchemaDeclarationContext ctx)`
Enter a parse tree produced by `IdlParser.namedSchemaDeclaration()`.
`void`
`enterNamespaceDeclaration(IdlParser.NamespaceDeclarationContext ctx)`
Enter a parse tree produced by `IdlParser.namespaceDeclaration()`.
`void`
`enterNullableType(IdlParser.NullableTypeContext ctx)`
Enter a parse tree produced by `IdlParser.nullableType()`.
`void`
`enterPlainType(IdlParser.PlainTypeContext ctx)`
Enter a parse tree produced by `IdlParser.plainType()`.
`void`
`enterPrimitiveType(IdlParser.PrimitiveTypeContext ctx)`
Enter a parse tree produced by `IdlParser.primitiveType()`.
`void`
`enterProtocolDeclaration(IdlParser.ProtocolDeclarationContext ctx)`
Enter a parse tree produced by `IdlParser.protocolDeclaration()`.
`void`
`enterProtocolDeclarationBody(IdlParser.ProtocolDeclarationBodyContext ctx)`
Enter a parse tree produced by `IdlParser.protocolDeclarationBody()`.
`void`
`enterRecordBody(IdlParser.RecordBodyContext ctx)`
Enter a parse tree produced by `IdlParser.recordBody()`.
`void`
`enterRecordDeclaration(IdlParser.RecordDeclarationContext ctx)`
Enter a parse tree produced by `IdlParser.recordDeclaration()`.
`void`
`enterResultType(IdlParser.ResultTypeContext ctx)`
Enter a parse tree produced by `IdlParser.resultType()`.
`void`
`enterSchemaProperty(IdlParser.SchemaPropertyContext ctx)`
Enter a parse tree produced by `IdlParser.schemaProperty()`.
`void`
`enterUnionType(IdlParser.UnionTypeContext ctx)`
Enter a parse tree produced by `IdlParser.unionType()`.
`void`
`enterVariableDeclaration(IdlParser.VariableDeclarationContext ctx)`
Enter a parse tree produced by `IdlParser.variableDeclaration()`.
`void`
`exitArrayType(IdlParser.ArrayTypeContext ctx)`
Exit a parse tree produced by `IdlParser.arrayType()`.
`void`
`exitEnumDeclaration(IdlParser.EnumDeclarationContext ctx)`
Exit a parse tree produced by `IdlParser.enumDeclaration()`.
`void`
`exitEnumDefault(IdlParser.EnumDefaultContext ctx)`
Exit a parse tree produced by `IdlParser.enumDefault()`.
`void`
`exitEnumSymbol(IdlParser.EnumSymbolContext ctx)`
Exit a parse tree produced by `IdlParser.enumSymbol()`.
`void`
`exitEveryRule(org.antlr.v4.runtime.ParserRuleContext ctx)`
`void`
`exitFieldDeclaration(IdlParser.FieldDeclarationContext ctx)`
Exit a parse tree produced by `IdlParser.fieldDeclaration()`.
`void`
`exitFixedDeclaration(IdlParser.FixedDeclarationContext ctx)`
Exit a parse tree produced by `IdlParser.fixedDeclaration()`.
`void`
`exitFormalParameter(IdlParser.FormalParameterContext ctx)`
Exit a parse tree produced by `IdlParser.formalParameter()`.
`void`
`exitFullType(IdlParser.FullTypeContext ctx)`
Exit a parse tree produced by `IdlParser.fullType()`.
`void`
`exitIdentifier(IdlParser.IdentifierContext ctx)`
Exit a parse tree produced by `IdlParser.identifier()`.
`void`
`exitIdlFile(IdlParser.IdlFileContext ctx)`
Exit a parse tree produced by `IdlParser.idlFile()`.
`void`
`exitImportStatement(IdlParser.ImportStatementContext ctx)`
Exit a parse tree produced by `IdlParser.importStatement()`.
`void`
`exitJsonArray(IdlParser.JsonArrayContext ctx)`
Exit a parse tree produced by `IdlParser.jsonArray()`.
`void`
`exitJsonLiteral(IdlParser.JsonLiteralContext ctx)`
Exit a parse tree produced by `IdlParser.jsonLiteral()`.
`void`
`exitJsonObject(IdlParser.JsonObjectContext ctx)`
Exit a parse tree produced by `IdlParser.jsonObject()`.
`void`
`exitJsonPair(IdlParser.JsonPairContext ctx)`
Exit a parse tree produced by `IdlParser.jsonPair()`.
`void`
`exitJsonValue(IdlParser.JsonValueContext ctx)`
Exit a parse tree produced by `IdlParser.jsonValue()`.
`void`
`exitMainSchemaDeclaration(IdlParser.MainSchemaDeclarationContext ctx)`
Exit a parse tree produced by `IdlParser.mainSchemaDeclaration()`.
`void`
`exitMapType(IdlParser.MapTypeContext ctx)`
Exit a parse tree produced by `IdlParser.mapType()`.
`void`
`exitMessageDeclaration(IdlParser.MessageDeclarationContext ctx)`
Exit a parse tree produced by `IdlParser.messageDeclaration()`.
`void`
`exitNamedSchemaDeclaration(IdlParser.NamedSchemaDeclarationContext ctx)`
Exit a parse tree produced by `IdlParser.namedSchemaDeclaration()`.
`void`
`exitNamespaceDeclaration(IdlParser.NamespaceDeclarationContext ctx)`
Exit a parse tree produced by `IdlParser.namespaceDeclaration()`.
`void`
`exitNullableType(IdlParser.NullableTypeContext ctx)`
Exit a parse tree produced by `IdlParser.nullableType()`.
`void`
`exitPlainType(IdlParser.PlainTypeContext ctx)`
Exit a parse tree produced by `IdlParser.plainType()`.
`void`
`exitPrimitiveType(IdlParser.PrimitiveTypeContext ctx)`
Exit a parse tree produced by `IdlParser.primitiveType()`.
`void`
`exitProtocolDeclaration(IdlParser.ProtocolDeclarationContext ctx)`
Exit a parse tree produced by `IdlParser.protocolDeclaration()`.
`void`
`exitProtocolDeclarationBody(IdlParser.ProtocolDeclarationBodyContext ctx)`
Exit a parse tree produced by `IdlParser.protocolDeclarationBody()`.
`void`
`exitRecordBody(IdlParser.RecordBodyContext ctx)`
Exit a parse tree produced by `IdlParser.recordBody()`.
`void`
`exitRecordDeclaration(IdlParser.RecordDeclarationContext ctx)`
Exit a parse tree produced by `IdlParser.recordDeclaration()`.
`void`
`exitResultType(IdlParser.ResultTypeContext ctx)`
Exit a parse tree produced by `IdlParser.resultType()`.
`void`
`exitSchemaProperty(IdlParser.SchemaPropertyContext ctx)`
Exit a parse tree produced by `IdlParser.schemaProperty()`.
`void`
`exitUnionType(IdlParser.UnionTypeContext ctx)`
Exit a parse tree produced by `IdlParser.unionType()`.
`void`
`exitVariableDeclaration(IdlParser.VariableDeclarationContext ctx)`
Exit a parse tree produced by `IdlParser.variableDeclaration()`.
`void`
`visitErrorNode(org.antlr.v4.runtime.tree.ErrorNode node)`
`void`
`visitTerminal(org.antlr.v4.runtime.tree.TerminalNode node)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### IdlBaseListener

public IdlBaseListener()

## Method Details

### enterIdlFile

public void enterIdlFile(IdlParser.IdlFileContext ctx)
Enter a parse tree produced by `IdlParser.idlFile()`.

The default implementation does nothing.

Specified by:
  `enterIdlFile` in interface `IdlListener`
Parameters:
  `ctx` - the parse tree

### exitIdlFile

public void exitIdlFile(IdlParser.IdlFileContext ctx)
Exit a parse tree produced by `IdlParser.idlFile()`.

The default implementation does nothing.

Specified by:
  `exitIdlFile` in interface `IdlListener`
Parameters:
  `ctx` - the parse tree

### enterProtocolDeclaration

public void enterProtocolDeclaration(IdlParser.ProtocolDeclarationContext ctx)
Enter a parse tree produced by `IdlParser.protocolDeclaration()`.

The default implementation does nothing.

Specified by:
  `enterProtocolDeclaration` in interface `IdlListener`
Parameters:
  `ctx` - the parse tree

### exitProtocolDeclaration

public void exitProtocolDeclaration(IdlParser.ProtocolDeclarationContext ctx)
Exit a parse tree produced by `IdlParser.protocolDeclaration()`.

The default implementation does nothing.

Specified by:
  `exitProtocolDeclaration` in interface `IdlListener`
Parameters:
  `ctx` - the parse tree

### enterProtocolDeclarationBody

public void enterProtocolDeclarationBody(IdlParser.ProtocolDeclarationBodyContext ctx)
Enter a parse tree produced by `IdlParser.protocolDeclarationBody()`.

The default implementation does nothing.

Specified by:
  `enterProtocolDeclarationBody` in interface `IdlListener`
Parameters:
  `ctx` - the parse tree

### exitProtocolDeclarationBody

public void exitProtocolDeclarationBody(IdlParser.ProtocolDeclarationBodyContext ctx)
Exit a parse tree produced by `IdlParser.protocolDeclarationBody()`.

The default implementation does nothing.

Specified by:
  `exitProtocolDeclarationBody` in interface `IdlListener`
Parameters:
  `ctx` - the parse tree

### enterNamespaceDeclaration

public void enterNamespaceDeclaration(IdlParser.NamespaceDeclarationContext ctx)
Enter a parse tree produced by `IdlParser.namespaceDeclaration()`.

The default implementation does nothing.

Specified by:
  `enterNamespaceDeclaration` in interface `IdlListener`
Parameters:
  `ctx` - the parse tree

### exitNamespaceDeclaration

public void exitNamespaceDeclaration(IdlParser.NamespaceDeclarationContext ctx)
Exit a parse tree produced by `IdlParser.namespaceDeclaration()`.

The default implementation does nothing.

Specified by:
  `exitNamespaceDeclaration` in interface `IdlListener`
Parameters:
  `ctx` - the parse tree

### enterMainSchemaDeclaration

public void enterMainSchemaDeclaration(IdlParser.MainSchemaDeclarationContext ctx)
Enter a parse tree produced by `IdlParser.mainSchemaDeclaration()`.

The default implementation does nothing.

Specified by:
  `enterMainSchemaDeclaration` in interface `IdlListener`
Parameters:
  `ctx` - the parse tree

### exitMainSchemaDeclaration

public void exitMainSchemaDeclaration(IdlParser.MainSchemaDeclarationContext ctx)
Exit a parse tree produced by `IdlParser.mainSchemaDeclaration()`.

The default implementation does nothing.

Specified by:
  `exitMainSchemaDeclaration` in interface `IdlListener`
Parameters:
  `ctx` - the parse tree

### enterIdentifier

public void enterIdentifier(IdlParser.IdentifierContext ctx)
Enter a parse tree produced by `IdlParser.identifier()`.

The default implementation does nothing.

Specified by:
  `enterIdentifier` in interface `IdlListener`
Parameters:
  `ctx` - the parse tree

### exitIdentifier

public void exitIdentifier(IdlParser.IdentifierContext ctx)
Exit a parse tree produced by `IdlParser.identifier()`.

The default implementation does nothing.

Specified by:
  `exitIdentifier` in interface `IdlListener`
Parameters:
  `ctx` - the parse tree

### enterSchemaProperty

public void enterSchemaProperty(IdlParser.SchemaPropertyContext ctx)
Enter a parse tree produced by `IdlParser.schemaProperty()`.

The default implementation does nothing.

Specified by:
  `enterSchemaProperty` in interface `IdlListener`
Parameters:
  `ctx` - the parse tree

### exitSchemaProperty

public void exitSchemaProperty(IdlParser.SchemaPropertyContext ctx)
Exit a parse tree produced by `IdlParser.schemaProperty()`.

The default implementation does nothing.

Specified by:
  `exitSchemaProperty` in interface `IdlListener`
Parameters:
  `ctx` - the parse tree

### enterImportStatement

public void enterImportStatement(IdlParser.ImportStatementContext ctx)
Enter a parse tree produced by `IdlParser.importStatement()`.

The default implementation does nothing.

Specified by:
  `enterImportStatement` in interface `IdlListener`
Parameters:
  `ctx` - the parse tree

### exitImportStatement

public void exitImportStatement(IdlParser.ImportStatementContext ctx)
Exit a parse tree produced by `IdlParser.importStatement()`.

The default implementation does nothing.

Specified by:
  `exitImportStatement` in interface `IdlListener`
Parameters:
  `ctx` - the parse tree

### enterNamedSchemaDeclaration

public void enterNamedSchemaDeclaration(IdlParser.NamedSchemaDeclarationContext ctx)
Enter a parse tree produced by `IdlParser.namedSchemaDeclaration()`.

The default implementation does nothing.

Specified by:
  `enterNamedSchemaDeclaration` in interface `IdlListener`
Parameters:
  `ctx` - the parse tree

### exitNamedSchemaDeclaration

public void exitNamedSchemaDeclaration(IdlParser.NamedSchemaDeclarationContext ctx)
Exit a parse tree produced by `IdlParser.namedSchemaDeclaration()`.

The default implementation does nothing.

Specified by:
  `exitNamedSchemaDeclaration` in interface `IdlListener`
Parameters:
  `ctx` - the parse tree

### enterFixedDeclaration

public void enterFixedDeclaration(IdlParser.FixedDeclarationContext ctx)
Enter a parse tree produced by `IdlParser.fixedDeclaration()`.

The default implementation does nothing.

Specified by:
  `enterFixedDeclaration` in interface `IdlListener`
Parameters:
  `ctx` - the parse tree

### exitFixedDeclaration

public void exitFixedDeclaration(IdlParser.FixedDeclarationContext ctx)
Exit a parse tree produced by `IdlParser.fixedDeclaration()`.

The default implementation does nothing.

Specified by:
  `exitFixedDeclaration` in interface `IdlListener`
Parameters:
  `ctx` - the parse tree

### enterEnumDeclaration

public void enterEnumDeclaration(IdlParser.EnumDeclarationContext ctx)
Enter a parse tree produced by `IdlParser.enumDeclaration()`.

The default implementation does nothing.

Specified by:
  `enterEnumDeclaration` in interface `IdlListener`
Parameters:
  `ctx` - the parse tree

### exitEnumDeclaration

public void exitEnumDeclaration(IdlParser.EnumDeclarationContext ctx)
Exit a parse tree produced by `IdlParser.enumDeclaration()`.

The default implementation does nothing.

Specified by:
  `exitEnumDeclaration` in interface `IdlListener`
Parameters:
  `ctx` - the parse tree

### enterEnumSymbol

public void enterEnumSymbol(IdlParser.EnumSymbolContext ctx)
Enter a parse tree produced by `IdlParser.enumSymbol()`.

The default implementation does nothing.

Specified by:
  `enterEnumSymbol` in interface `IdlListener`
Parameters:
  `ctx` - the parse tree

### exitEnumSymbol

public void exitEnumSymbol(IdlParser.EnumSymbolContext ctx)
Exit a parse tree produced by `IdlParser.enumSymbol()`.

The default implementation does nothing.

Specified by:
  `exitEnumSymbol` in interface `IdlListener`
Parameters:
  `ctx` - the parse tree

### enterEnumDefault

public void enterEnumDefault(IdlParser.EnumDefaultContext ctx)
Enter a parse tree produced by `IdlParser.enumDefault()`.

The default implementation does nothing.

Specified by:
  `enterEnumDefault` in interface `IdlListener`
Parameters:
  `ctx` - the parse tree

### exitEnumDefault

public void exitEnumDefault(IdlParser.EnumDefaultContext ctx)
Exit a parse tree produced by `IdlParser.enumDefault()`.

The default implementation does nothing.

Specified by:
  `exitEnumDefault` in interface `IdlListener`
Parameters:
  `ctx` - the parse tree

### enterRecordDeclaration

public void enterRecordDeclaration(IdlParser.RecordDeclarationContext ctx)
Enter a parse tree produced by `IdlParser.recordDeclaration()`.

The default implementation does nothing.

Specified by:
  `enterRecordDeclaration` in interface `IdlListener`
Parameters:
  `ctx` - the parse tree

### exitRecordDeclaration

public void exitRecordDeclaration(IdlParser.RecordDeclarationContext ctx)
Exit a parse tree produced by `IdlParser.recordDeclaration()`.

The default implementation does nothing.

Specified by:
  `exitRecordDeclaration` in interface `IdlListener`
Parameters:
  `ctx` - the parse tree

### enterRecordBody

public void enterRecordBody(IdlParser.RecordBodyContext ctx)
Enter a parse tree produced by `IdlParser.recordBody()`.

The default implementation does nothing.

Specified by:
  `enterRecordBody` in interface `IdlListener`
Parameters:
  `ctx` - the parse tree

### exitRecordBody

public void exitRecordBody(IdlParser.RecordBodyContext ctx)
Exit a parse tree produced by `IdlParser.recordBody()`.

The default implementation does nothing.

Specified by:
  `exitRecordBody` in interface `IdlListener`
Parameters:
  `ctx` - the parse tree

### enterFieldDeclaration

public void enterFieldDeclaration(IdlParser.FieldDeclarationContext ctx)
Enter a parse tree produced by `IdlParser.fieldDeclaration()`.

The default implementation does nothing.

Specified by:
  `enterFieldDeclaration` in interface `IdlListener`
Parameters:
  `ctx` - the parse tree

### exitFieldDeclaration

public void exitFieldDeclaration(IdlParser.FieldDeclarationContext ctx)
Exit a parse tree produced by `IdlParser.fieldDeclaration()`.

The default implementation does nothing.

Specified by:
  `exitFieldDeclaration` in interface `IdlListener`
Parameters:
  `ctx` - the parse tree

### enterVariableDeclaration

public void enterVariableDeclaration(IdlParser.VariableDeclarationContext ctx)
Enter a parse tree produced by `IdlParser.variableDeclaration()`.

The default implementation does nothing.

Specified by:
  `enterVariableDeclaration` in interface `IdlListener`
Parameters:
  `ctx` - the parse tree

### exitVariableDeclaration

public void exitVariableDeclaration(IdlParser.VariableDeclarationContext ctx)
Exit a parse tree produced by `IdlParser.variableDeclaration()`.

The default implementation does nothing.

Specified by:
  `exitVariableDeclaration` in interface `IdlListener`
Parameters:
  `ctx` - the parse tree

### enterMessageDeclaration

public void enterMessageDeclaration(IdlParser.MessageDeclarationContext ctx)
Enter a parse tree produced by `IdlParser.messageDeclaration()`.

The default implementation does nothing.

Specified by:
  `enterMessageDeclaration` in interface `IdlListener`
Parameters:
  `ctx` - the parse tree

### exitMessageDeclaration

public void exitMessageDeclaration(IdlParser.MessageDeclarationContext ctx)
Exit a parse tree produced by `IdlParser.messageDeclaration()`.

The default implementation does nothing.

Specified by:
  `exitMessageDeclaration` in interface `IdlListener`
Parameters:
  `ctx` - the parse tree

### enterFormalParameter

public void enterFormalParameter(IdlParser.FormalParameterContext ctx)
Enter a parse tree produced by `IdlParser.formalParameter()`.

The default implementation does nothing.

Specified by:
  `enterFormalParameter` in interface `IdlListener`
Parameters:
  `ctx` - the parse tree

### exitFormalParameter

public void exitFormalParameter(IdlParser.FormalParameterContext ctx)
Exit a parse tree produced by `IdlParser.formalParameter()`.

The default implementation does nothing.

Specified by:
  `exitFormalParameter` in interface `IdlListener`
Parameters:
  `ctx` - the parse tree

### enterResultType

public void enterResultType(IdlParser.ResultTypeContext ctx)
Enter a parse tree produced by `IdlParser.resultType()`.

The default implementation does nothing.

Specified by:
  `enterResultType` in interface `IdlListener`
Parameters:
  `ctx` - the parse tree

### exitResultType

public void exitResultType(IdlParser.ResultTypeContext ctx)
Exit a parse tree produced by `IdlParser.resultType()`.

The default implementation does nothing.

Specified by:
  `exitResultType` in interface `IdlListener`
Parameters:
  `ctx` - the parse tree

### enterFullType

public void enterFullType(IdlParser.FullTypeContext ctx)
Enter a parse tree produced by `IdlParser.fullType()`.

The default implementation does nothing.

Specified by:
  `enterFullType` in interface `IdlListener`
Parameters:
  `ctx` - the parse tree

### exitFullType

public void exitFullType(IdlParser.FullTypeContext ctx)
Exit a parse tree produced by `IdlParser.fullType()`.

The default implementation does nothing.

Specified by:
  `exitFullType` in interface `IdlListener`
Parameters:
  `ctx` - the parse tree

### enterPlainType

public void enterPlainType(IdlParser.PlainTypeContext ctx)
Enter a parse tree produced by `IdlParser.plainType()`.

The default implementation does nothing.

Specified by:
  `enterPlainType` in interface `IdlListener`
Parameters:
  `ctx` - the parse tree

### exitPlainType

public void exitPlainType(IdlParser.PlainTypeContext ctx)
Exit a parse tree produced by `IdlParser.plainType()`.

The default implementation does nothing.

Specified by:
  `exitPlainType` in interface `IdlListener`
Parameters:
  `ctx` - the parse tree

### enterNullableType

public void enterNullableType(IdlParser.NullableTypeContext ctx)
Enter a parse tree produced by `IdlParser.nullableType()`.

The default implementation does nothing.

Specified by:
  `enterNullableType` in interface `IdlListener`
Parameters:
  `ctx` - the parse tree

### exitNullableType

public void exitNullableType(IdlParser.NullableTypeContext ctx)
Exit a parse tree produced by `IdlParser.nullableType()`.

The default implementation does nothing.

Specified by:
  `exitNullableType` in interface `IdlListener`
Parameters:
  `ctx` - the parse tree

### enterPrimitiveType

public void enterPrimitiveType(IdlParser.PrimitiveTypeContext ctx)
Enter a parse tree produced by `IdlParser.primitiveType()`.

The default implementation does nothing.

Specified by:
  `enterPrimitiveType` in interface `IdlListener`
Parameters:
  `ctx` - the parse tree

### exitPrimitiveType

public void exitPrimitiveType(IdlParser.PrimitiveTypeContext ctx)
Exit a parse tree produced by `IdlParser.primitiveType()`.

The default implementation does nothing.

Specified by:
  `exitPrimitiveType` in interface `IdlListener`
Parameters:
  `ctx` - the parse tree

### enterArrayType

public void enterArrayType(IdlParser.ArrayTypeContext ctx)
Enter a parse tree produced by `IdlParser.arrayType()`.

The default implementation does nothing.

Specified by:
  `enterArrayType` in interface `IdlListener`
Parameters:
  `ctx` - the parse tree

### exitArrayType

public void exitArrayType(IdlParser.ArrayTypeContext ctx)
Exit a parse tree produced by `IdlParser.arrayType()`.

The default implementation does nothing.

Specified by:
  `exitArrayType` in interface `IdlListener`
Parameters:
  `ctx` - the parse tree

### enterMapType

public void enterMapType(IdlParser.MapTypeContext ctx)
Enter a parse tree produced by `IdlParser.mapType()`.

The default implementation does nothing.

Specified by:
  `enterMapType` in interface `IdlListener`
Parameters:
  `ctx` - the parse tree

### exitMapType

public void exitMapType(IdlParser.MapTypeContext ctx)
Exit a parse tree produced by `IdlParser.mapType()`.

The default implementation does nothing.

Specified by:
  `exitMapType` in interface `IdlListener`
Parameters:
  `ctx` - the parse tree

### enterUnionType

public void enterUnionType(IdlParser.UnionTypeContext ctx)
Enter a parse tree produced by `IdlParser.unionType()`.

The default implementation does nothing.

Specified by:
  `enterUnionType` in interface `IdlListener`
Parameters:
  `ctx` - the parse tree

### exitUnionType

public void exitUnionType(IdlParser.UnionTypeContext ctx)
Exit a parse tree produced by `IdlParser.unionType()`.

The default implementation does nothing.

Specified by:
  `exitUnionType` in interface `IdlListener`
Parameters:
  `ctx` - the parse tree

### enterJsonValue

public void enterJsonValue(IdlParser.JsonValueContext ctx)
Enter a parse tree produced by `IdlParser.jsonValue()`.

The default implementation does nothing.

Specified by:
  `enterJsonValue` in interface `IdlListener`
Parameters:
  `ctx` - the parse tree

### exitJsonValue

public void exitJsonValue(IdlParser.JsonValueContext ctx)
Exit a parse tree produced by `IdlParser.jsonValue()`.

The default implementation does nothing.

Specified by:
  `exitJsonValue` in interface `IdlListener`
Parameters:
  `ctx` - the parse tree

### enterJsonLiteral

public void enterJsonLiteral(IdlParser.JsonLiteralContext ctx)
Enter a parse tree produced by `IdlParser.jsonLiteral()`.

The default implementation does nothing.

Specified by:
  `enterJsonLiteral` in interface `IdlListener`
Parameters:
  `ctx` - the parse tree

### exitJsonLiteral

public void exitJsonLiteral(IdlParser.JsonLiteralContext ctx)
Exit a parse tree produced by `IdlParser.jsonLiteral()`.

The default implementation does nothing.

Specified by:
  `exitJsonLiteral` in interface `IdlListener`
Parameters:
  `ctx` - the parse tree

### enterJsonObject

public void enterJsonObject(IdlParser.JsonObjectContext ctx)
Enter a parse tree produced by `IdlParser.jsonObject()`.

The default implementation does nothing.

Specified by:
  `enterJsonObject` in interface `IdlListener`
Parameters:
  `ctx` - the parse tree

### exitJsonObject

public void exitJsonObject(IdlParser.JsonObjectContext ctx)
Exit a parse tree produced by `IdlParser.jsonObject()`.

The default implementation does nothing.

Specified by:
  `exitJsonObject` in interface `IdlListener`
Parameters:
  `ctx` - the parse tree

### enterJsonPair

public void enterJsonPair(IdlParser.JsonPairContext ctx)
Enter a parse tree produced by `IdlParser.jsonPair()`.

The default implementation does nothing.

Specified by:
  `enterJsonPair` in interface `IdlListener`
Parameters:
  `ctx` - the parse tree

### exitJsonPair

public void exitJsonPair(IdlParser.JsonPairContext ctx)
Exit a parse tree produced by `IdlParser.jsonPair()`.

The default implementation does nothing.

Specified by:
  `exitJsonPair` in interface `IdlListener`
Parameters:
  `ctx` - the parse tree

### enterJsonArray

public void enterJsonArray(IdlParser.JsonArrayContext ctx)
Enter a parse tree produced by `IdlParser.jsonArray()`.

The default implementation does nothing.

Specified by:
  `enterJsonArray` in interface `IdlListener`
Parameters:
  `ctx` - the parse tree

### exitJsonArray

public void exitJsonArray(IdlParser.JsonArrayContext ctx)
Exit a parse tree produced by `IdlParser.jsonArray()`.

The default implementation does nothing.

Specified by:
  `exitJsonArray` in interface `IdlListener`
Parameters:
  `ctx` - the parse tree

### enterEveryRule

public void enterEveryRule(org.antlr.v4.runtime.ParserRuleContext ctx)

The default implementation does nothing.

Specified by:
  `enterEveryRule` in interface `org.antlr.v4.runtime.tree.ParseTreeListener`

### exitEveryRule

public void exitEveryRule(org.antlr.v4.runtime.ParserRuleContext ctx)

The default implementation does nothing.

Specified by:
  `exitEveryRule` in interface `org.antlr.v4.runtime.tree.ParseTreeListener`

### visitTerminal

public void visitTerminal(org.antlr.v4.runtime.tree.TerminalNode node)

The default implementation does nothing.

Specified by:
  `visitTerminal` in interface `org.antlr.v4.runtime.tree.ParseTreeListener`

### visitErrorNode

public void visitErrorNode(org.antlr.v4.runtime.tree.ErrorNode node)

The default implementation does nothing.

Specified by:
  `visitErrorNode` in interface `org.antlr.v4.runtime.tree.ParseTreeListener`